Package org.eclipse.swt.events

# Interface ArmListener

All Superinterfaces:
  `EventListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ArmListener extends EventListener
Classes which implement this interface provide a method that deals with the event that is generated when a widget, such as a menu item, is armed.

After creating an instance of a class that implements this interface it can be added to a widget using the `addArmListener` method and removed using the `removeArmListener` method. When the widget is armed, the widgetArmed method will be invoked.

See Also:
  - `ArmEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`widgetArmed(ArmEvent e)`
Sent when a widget is armed, or 'about to be selected'.

## Method Details

### widgetArmed

void widgetArmed(ArmEvent e)
Sent when a widget is armed, or 'about to be selected'.

Parameters:
  `e` - an event containing information about the arm